@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

html{
    min-height: 100vh;
}

/* edit profile page */
.um-account{
    color: white;
    font-family: 'Poppins' , sans-serif !important;
}

.um-account .um-account-tab .um-field .um-field-label{
    padding:20px 0px 0px 0px !important;
}

.um-account .um-field-register_profile_photo .um-button{
    margin-bottom: 24px;
}

/* change */
.um-account .theme-color-options {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 12px;
    margin: 16px 0px 24px 0px;
}

.um-account .color-option {
    cursor:pointer;
    border:2px solid transparent;
    padding:8px;
    border-radius:8px;
    text-align:center;
    color: white;
    font-weight: 500;
}

.um-account .color-option.active {
    border-color:#0b84ff;
    box-shadow:0 4px 12px rgba(11,132,255,0.15);
}

.um-account .color-option img {
    width:100%;
    height:100%;
    object-fit:fill;
    border-radius: 10px;
    margin:0 0 8px;
}

.um-account .um-account-tab-appearance .um-field-radio .um-field-radio img{
    padding: 10px;
    border-radius: 10px;
}

/* Default Theme */
body.theme2.default {
    --main-bg: url("../images/them4/dark_bg.png") no-repeat center center !important;
    --phone-number-icon: url(../images/them4/phone_number.svg);
    --user-email-icon: url(../images/them4/user_email.svg);
    --share-btn-icon: url(../images/them4/share_profile_btn.svg);
    --link-icon: url('../images/them4/link.svg');
    --save-btn-color: linear-gradient(175deg, rgba(142, 118, 251, 1) 20%, rgba(106, 79, 226, 1) 100%);
}

/* Purple Theme */
body.theme2.purple {
    --main-bg: url("../images/them4/purple/theme-bg.png") no-repeat center center !important;
    --phone-number-icon: url(../images/them4/purple/icons/phone_number.svg);
    --user-email-icon: url(../images/them4/purple/icons/user_email.svg);
    --share-btn-icon: url(../images/them4/purple/icons/share_profile_btn.svg);
    --link-icon: url('../images/them4/purple/icons/link.svg');
    --save-btn-color: rgba(24, 119, 242, 1);
}

/* Pink Theme */
body.theme2.pink {
    --main-bg: url("../images/them4/pink/theme-bg.png") no-repeat center center !important;
    --phone-number-icon: url(../images/them4/pink/icons/phone_number.svg);
    --user-email-icon: url(../images/them4/pink/icons/user_email.svg);
    --share-btn-icon: url(../images/them4/pink/icons/share_profile_btn.svg);
    --link-icon: url('../images/them4/pink/icons/link.svg');
    --save-btn-color: rgba(228, 64, 95, 1);
}
  
#um-mhi-form .profile-do-actions .um-field-phone_number img {
    content: var(--phone-number-icon);
}

#um-mhi-form .profile-do-actions .um-field-user_email img {
    content: var(--user-email-icon);
}

#um-mhi-form .profile-do-actions #share-profile-btn img {
    content: var(--share-btn-icon);
}

body {
    font-family: 'Poppins' , sans-serif !important;
    background: var(--main-bg);
    background-size: cover !important;
    min-height: 100vh;
    color: white;
}

html, body, .um, .um-page-user {
    font-family: 'Poppins', sans-serif !important;
}

.um-field {
    padding:0px !important;
}

#um-mhi-form .user-nav-footer{
    display: flex;
    justify-content: space-between;
    margin-top: 25px;
}

#um-mhi-form .user-nav-footer .tools-btn{
    position: relative;
}

#um-mhi-form .um-profile-photo a.um-profile-photo-img {
    width: 128px !important;
    height: 128px !important;
}

#um-mhi-form .user-nav-footer > div , #um-mhi-form .user-nav-footer > a{ 
    display: flex;
    flex-direction: column;
    align-items: center;
}

#um-mhi-form .user-info{
    text-align: center;
}
#um-mhi-form .user-info > div > div{
    margin-top: -8px !important;
}

#um-mhi-form .um-field-display_name {
    font-size: 18px;
    color: white;
    font-weight: 500 !important;
}

#um-mhi-form .um-field-description{
    padding-top: 5px;
    color: white;
}

#um-mhi-form .user-social-info .um-field-value a{
    background: rgba(10, 10, 17, 1);
    border-radius: 100%;
    padding: 16px;
}

#um-mhi-form .user-social-info .um-field-value .social-images{
    width: 32px;
}

#um-mhi-form .user-social-info .um-field-value{
    flex-direction: column;
}

#um-mhi-form .user-social-info .um-field-value a , #um-mhi-form .user-social-info .um-field-value{
    color: white;
}

#um-mhi-form .user-social-info .um-col-1{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 320px;
    gap: 8px;
    margin: 0 auto;
}

#um-mhi-form .um-profile-edit-a{
    color: white;
}

#um-mhi-form .um-customized-row{
    background: rgba(10, 10, 17, 1);
}

#um-mhi-form .um-profile-photo-img{
    border: 5px solid rgba(10, 10, 17, 1) !important;
    margin-bottom: -110px !important;
    box-shadow: 0px 0px 2px 1px rgba(25, 27, 38, 1);
}

#um-mhi-form .um-field-user_skill {
    font-size:12px !important;
}

#um-mhi-form .um-header::after{
    content: "";
    width: 100%;
    height: 80px;
    background: rgba(10, 10, 17, 1);
    border-radius: 12px 12px 0px 0px;
    margin-top:38px;
}

#add-contact-btn{
    gap: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #5567714D;
    border-color: #9EACB4 !important;
}
#share-profile-btn{
    gap: 8px;
    float: right;
    display: flex;
    justify-content: center;
    align-items: center;
    border-color: #9EACB4 !important;
}

.share-buttons .um-col-1 > div{
    padding: 0px !important;
    height: 40px;
    margin-bottom: 4px;
}

.share-buttons .um-col-1 > div .um-field-value{
    background: rgba(10, 10, 17, 0.48);
    border-radius: 50px;
    display: flex;
    align-items: center;
    padding: 2px 38px 2px 2px !important;
}

.share-buttons .um-col-1 > div .um-field-value::before{
    content: "";
    display: inline-block;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background-color: rgba(10, 10, 17, 1);
    background-image: var(--link-icon);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20px;
}

.share-buttons .um-col-1 > div a{
    color: rgba(255, 255, 255, 1) !important;
    display: flex;
    justify-content: center;
    font-size: 14px;
    font-weight: 400;
    flex:1;
}

#um-mhi-form .share-buttons {
    margin:32px 0px 0px 0px !important ;
}
  
.share-buttons .um-col-1{
    padding-top: 0px !important;
}
.share-buttons .um-col-122{
    width: 50%;
}
.share-buttons .um-col-1 a{
    width: 100%;
    border-radius: 10px;
}
.user-info .um-field-tel{
    text-align: right;
    padding-right: 15px;
}
.user-info .um-field-user_email{
    text-align: left;
    padding-left: 15px;
}

#um-mhi-form .um-col-121 {
    float: left !important;
    width: 48% !important;
}
#um-mhi-form .um-col-122 {
    float: right !important;
    width: 48% !important;
}
#um-mhi-form .share-buttons .um-col-122{
    width: 49.5% !important;
}
#um-mhi-form .share-buttons .um-col-121{
    width: 49.5% !important;
}

#um-mhi-form .um-profile-nav{
    background-color: transparent;
    display: flex;
    gap: 6px;
    width: 100%;
}

#um-mhi-form .um-profile-nav > div:not(.um-clear){
    width: 33.33%;
}

#um-mhi-form .um-profile-nav .um-profile-nav-item a{
    padding: 10px 36px;
    margin-left: 0;
    border-radius: 0;
    background-color: #cddada;
    margin-top: 26px;
    width: 100%;
}
#um-mhi-form .um-profile-nav .um-profile-nav-item.active a{
    background: #ffffff;
    border-bottom: 2px solid #000000 !important;
}
#um-mhi-form .um-profile-subnav{
    background-color: transparent;
}

#um-mhi-form .um-profile-nav .um-profile-nav-item.active i{
    color: black;
}

#um-mhi-form .um-header .um-profile-headericon{
    display: none;
}

#um-mhi-form .header-more-icon{
    background-color: rgba(10, 10, 17, 0.48);
    width: 40px;
    height: 40px;
    border-radius: 100px;
    display: flex;
    align-content: center;
    justify-content: center;
    margin-top: 12px;
}

#um-mhi-form .um-header.no-cover .um-profile-photo {
    padding-top: 14px !important;
    z-index: 1;
}

#um-mhi-form .header-more-icon .more-icon {
    width: 24px !important;
}

#drop-menu {
    border: 1px solid rgba(25, 27, 38, 1) !important;
    background: rgba(10, 10, 17, 1);
}

#um-mhi-form .um-dropdown ul{
    background: rgba(10, 10, 17, 1);
    border-radius: 10px;
    padding: 10px 0px !important;
}

#um-mhi-form .um-dropdown ul a{
    display: flex;
    align-items: center;
    border-bottom: 2px solid rgba(25, 27, 38, 1);
    padding: 10px 0px !important;
}
#um-mhi-form .um-dropdown ul a span{
    padding-left: 10px;
    font-size: medium;
    color: white;
}

.um-dropdown li:last-child a {
    border: none;
    border-bottom: none !important;
}
#um-mhi-form .um-dropdown {
    top: 56px !important;
    right: -87.1419px !important;
    left: auto !important;
    border-radius: 10px;
    z-index: 100 !important;
}
#um-mhi-form .um-profile-headericon a{
    color: black !important;
    
}
#um-mhi-form .um-profile-edit-a{
    margin-bottom: -9px;
}

#um-mhi-form .um-trigger-menu-on-click,
#um-mhi-form .header-more-icon {
  position: relative;
  z-index: 2;
}

#um-mhi-form .um-header{
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: -48px;
}
#um-mhi-form .um-customized-row .um-field-display_name{
    color: #ffffff;
}

#um-mhi-form .um-customized-row .um-field-user_skill{
    color: rgba(84, 96, 121, 1);
    padding: 4px 0px 16px 0px !important;
}

#um-mhi-form .profile-do-actions {
    background: rgba(10, 10, 17, 1);
    margin-top: 0px !important;
    padding-top: 0px !important;
    border-radius: 0px 0px 12px 12px !important;
    border-top: 2px solid rgba(25, 27, 38, 1) !important;
}

#um-mhi-form .profile-do-actions > div{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
}

#um-mhi-form .profile-do-actions .um-col-1 > div:last-child{
    border-right: none !important;
    height: auto !important;
}
#um-mhi-form .profile-do-actions > div .um-field{
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: column-reverse;
    align-items: center;
    border-right: 2px solid rgba(25, 27, 38, 1);
    justify-content: center;
    padding: 20px 0px;
}

.um-profile.um-viewing .um-field-label{
    margin-bottom: 0px !important;
}

#um-mhi-form .profile-do-actions > div .um-field-label{
    display: none;
}

#um-mhi-form .profile-do-actions .um-col-1 .um-field-block > a{
    cursor: pointer;
}

#um-mhi-form .profile-do-actions .um-col-1 > div{
    padding: 16px 0px !important;
}

#um-mhi-form .um-trigger-menu-on-click{
    display: flex;
    justify-content: flex-end;
}

#um-mhi-form .user-nav-footer span{
    color:white;
    font-size: 10px;
}
#um-mhi-form .tapv-logo{
    position: absolute;
    right: 10px;
    top: 25px;
}
.user-nav-footer .um-dropdown{
    bottom: 70px !important;
}
.user-nav-footer .um-dropdown-arr{
    bottom: -16px !important;
    top: auto !important;
    transform: rotate(180deg);
}
.um-profile-meta .um-friend-btn , .um-profile-meta .um-login-to-friend-btn{
    position: absolute;
    right: 0px;
    top: 100px;
    padding: 0 !important;
    width: 50px;
    height: 50px;
    background: none !important;
    box-shadow: none;
    display: none !important;
}
.um-messaging-bar .um-message-btn{
    position: absolute;
    right: 2px;
    top: 55px;
    padding: 8px 5px !important;
    width: 50px;
    height: 50px;
    background: none !important;
    box-shadow: none;
    display: none !important;
}
.um-messaging-bar .um-message-btn::before , .um-profile-meta .um-friend-btn:before , .um-profile-meta .um-login-to-friend-btn:before{
    content: "";
}

#um-mhi-form .user-social-info{
    margin: 32px 0px 0px 0px !important;
    padding: 0px !important;
}

.footer-text {
    text-align: center;
    margin-top:32px;
}

.footer-text p{
    font-size: 12px;
    color: rgba(143, 154, 177, 1);
}

.footer-text .Tapv-footer-text{
    font-weight: 600;
    color: rgba(183, 192, 211, 1);
}

.um-profile-body .user-save-contact{
    margin-top: 32px !important;
}

#add-contact-btn .save-contact-icon {
    width: 24px;
    height: 24px;
}

#um-mhi-form .um-profile-body .um-row .add-contact-container {
    justify-self: center;
}

#add-contact-btn {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 12px 0px 12px 2px !important;
    background: var(--save-btn-color);
    border-radius: 50px !important;
    width: 182px;
    height: 48px;
}

#add-contact-btn .save-contact-image-container {
    width: 46px;
    height: 46px;
    display:flex;
    align-items: center;
    justify-content: center;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.08);
}

#add-contact-btn .save-contact-text {
    color: white;
    padding-right: 24px;
    font-size: 14px;
}

.close-drop-menu {
    display: none !important; 
}

#um-mhi-form .um-dropdown li {
    padding: 0px 16px !important;
}

.vip-badge {
    z-index: 0;
    position: absolute;
    top: 90px;
    left: 8px;
    right: auto;
}

.vip-badge img{
    width: 76px;
}

.active-bg {
    background-color: rgba(10, 10, 17, 1);
    border: 1px solid rgba(25, 27, 38, 1);
}

.user-email-phone {
    width: 24px !important;
}

.share-profile-icon {
    width: 22px !important;
}

.user-save-contact .um-field-block {
    display: flex;
    justify-content: center;
}

.more-icon-not-user {
    margin-top:52px;
}

#um-mhi-form .users-loggedIn-profile-photo {
    margin-bottom: -100px !important;
}

.um-account #user-logo-upload label {
    cursor: pointer;
    padding: 10px;
    border-radius: 6px;
    border: 1px solid rgba(10, 10, 17, 0.1);
    box-shadow: 0 4px 6px rgba(50, 50, 93, .11), 0 1px 3px rgba(0, 0, 0, .08);
    margin-right: 10px;
}

.um-account #user-logo-upload label:hover {
    cursor: pointer;
    background-color: #00000018;
}

.um-account #user_logo {
    opacity: 0;
    position: absolute;
    z-index: -1;
}

.um-account #user-logo-upload .logo-info {
    margin: 24px 0px 36px 0px;
}
.um-account #user-logo-upload .logo-info img {
    margin-top: 24px;
}
.um-account .delete-logo {
    padding: 12px;
    border-radius: 6px;
    color: white;
    border: 1px solid rgba(10, 10, 17, 0.1);
    font-weight: 600;
    font-size:medium;
    box-shadow: 0 3px 5px rgba(50, 50, 93, .11), 0 1px 3px rgba(0, 0, 0, .08);
    text-transform: none;
    letter-spacing:normal;
}

.um-account .delete-logo:hover{
    background-color: #b44d4d;
    box-shadow: 0 4px 6px rgba(50, 50, 93, .11), 0 1px 3px rgba(0, 0, 0, .08);
}

.custom-profile-logo{
    z-index: 0;
    position: absolute;
    top: 90px;
    left: 8px;
    right: auto;
}

.custom-profile-logo img{
    width: 80px;
}


/* ---------- responsive ---------- */
/* Tablet */
@media only screen and (max-width: 768px) {
    #um-mhi-form .um-header {
        margin: 0px 10px;
        margin-top: -64px;
    }
    #um-mhi-form .um-profile-body {
        margin-top: -16px;
        margin: 0px 10px;
    }
    #um-mhi-form .um-trigger-menu-on-click {
        margin-right: 12px;
    }
    #um-mhi-form .um-header::after {
        height: 80px;
        margin-top: 42px !important;
    }
    #um-mhi-form .user-social-info .um-field-value a {
        padding: 16px;
    }
    #um-mhi-form .user-social-info .um-field {
        padding-top: 12px !important;
    }
    #um-mhi-form .user-social-info .um-col-1{
        gap: 0px 14px !important;
    }
    #um-mhi-form .user-social-info .um-field-value .social-images{
        width: 40px;
    }
    #um-mhi-form .um-profile-body .um-row {
        padding: 0px 10px !important;
    }
    #add-contact-btn {
        padding: 8px 2px !important;
    }
    #add-contact-btn .save-contact-text {
        padding-right: 24px;
    }
    #um-mhi-form .um-dropdown {
        right: 8px !important;
    }
    #um-mhi-form .um-profile-body .um-customized-row{
        padding-top: 16px !important;
    }
}

/* Phone */
@media only screen and (max-width: 568px) {
    .um-account .theme-color-options {
        grid-template-columns: repeat(1, minmax(0, 1fr));
        padding: 32px;
        gap: 32px;
    }
    #um-mhi-form .user-social-info .um-field-value .social-images{
        width: 32px;
    }
    #um-mhi-form .user-social-info .um-field-value a{
        padding: 16px;
    }
    #um-mhi-form .user-social-info .um-col-1{
        gap: 8px !important;
        max-width: 285px !important;
    }
    #um-mhi-form .user-social-info .um-field{
        padding-top: 0px !important;
    }
    #um-mhi-form .um-header::after{
        margin-top: 38px !important;
    }
    #um-mhi-form .um-field-display_name .um-field-value {
        font-size: 16px !important;
        padding-top: 4px;
    }
    #um-mhi-form .um-field-user_skill .um-field-value {
        font-size: 12px !important;
    }
    #um-mhi-form .um-profile-body .um-row {
        padding: 0px !important;
    }
    #um-mhi-form .um-profile-body{
        margin: 0px 8px;
    }
    #um-mhi-form .um-header{
        margin: 0px 8px;
        margin-top: -42px;
    }
    #um-mhi-form .user-info{
        padding-bottom: 16px;
    }
    .share-buttons .um-col-1 > div .um-field-value{
        padding: 2px 0px;
        padding-left: 2px;
        padding-right: 38px;
    }
    .share-buttons .um-col-1 > div .um-field-value::before {
        width: 36px;
        height: 36px;
        background-size: 20px;
    }
    .share-buttons .um-col-1 > div a{
        font-size: 14px;
    }
    #add-contact-btn .save-contact-text {
        padding-right: 24px;
    }
    #add-contact-btn span {
        font-size: 14px !important;
        font-weight: normal;
    }
    #add-contact-btn .save-contact-image-container {
        width: 44px;
        height: 44px;
    }
    #add-contact-btn {
        padding: 12px 0px 12px 2px !important;
    }
    #um-mhi-form .um-profile-body .um-row .add-contact-container {
        justify-self: center;
    }
    #um-mhi-form .um-profile-body {
        margin-top: -16px;
    }
    #um-mhi-form .um-profile-photo a.um-profile-photo-img {
        width: 128px !important;
        height: 128px !important;
    }
    #um-mhi-form .um-dropdown {
        right: 8px !important;
        z-index: 100;
    }
    #um-mhi-form .um-trigger-menu-on-click {
        margin-right: 8px;
    }
    #um-mhi-form .um-header::after {
        height: 80px;
    }
    .um-profile {
        margin-bottom: 0px !important;
    }
    .vip-badge {
        top: 94px;
    }
    .vip-badge img{
        width: 76px;
    }
    #share-profile-btn {
        padding: 0px !important;
    }
    .user-email-phone {
        width: 24px !important;
    }
    .share-profile-icon {
        width: 22px !important;
    }
    #um-mhi-form .um-customized-row .um-field-user_skill {
        padding-top:4px !important;
        padding-bottom: 16px !important;
        font-size:12px !important;
    }
    #um-mhi-form .profile-do-actions > div .um-field {
        padding:16px 0px !important;
    }
    #um-mhi-form .um-profile-photo-img {
        border: 5px solid rgba(10, 10, 17, 1) !important;
    }
    .footer-text p{
        font-size: 12px;
        margin-bottom:0px !important;
    }
    #um-mhi-form .users-loggedIn-display-name{
        padding-top:10px !important;
    }
    .custom-profile-logo{
    top: 96px;
    left: 14px;
    }
}